/* 
 This file was generated by Dashcode.  
 You may edit this file to customize your widget or web page 
 according to the license.txt file included in the project.
 */

//
// Function: load()
// Called by HTML body element's onload event when the widget is ready to start
//
function load()
{
    dashcode.setupParts();
}

//
// Function: remove()
// Called when the widget has been removed from the Dashboard
//
function remove()
{
    // Stop any timers to prevent CPU usage
    // Remove any preferences as needed
    // widget.setPreferenceForKey(null, dashcode.createInstancePreferenceKey("your-key"));
}

function sync()
{
    // Retrieve any preference values that you need to be synchronized here
    // Use this for an instance key's value:
    // instancePreferenceValue = widget.preferenceForKey(null, dashcode.createInstancePreferenceKey("your-key"));
    //
    // Or this for global key's value:
    // globalPreferenceValue = widget.preferenceForKey(null, "your-key");
}

//
// Function: hide()
// Called when the widget has been hidden
//
function hide()
{
    // Stop any timers to prevent CPU usage
}

//
// Function: show()
// Called when the widget has been shown
//
function show()
{
    // Restart any timers that were stopped on hide
}

//

//
// Function: showBack(event)
// Called when the info button is clicked to show the back of the widget
//
// event: onClick event from the info button
//
function showBack(event)
{
    var front = document.getElementById("front");
    var back = document.getElementById("back");

    if (window.widget) {
        widget.prepareForTransition("ToBack");
    }

    front.style.display = "none";
    back.style.display = "block";

    if (window.widget) {
        setTimeout('widget.performTransition();', 0);
    }
}

//
// Function: showFront(event)
// Called when the done button is clicked from the back of the widget
//
// event: onClick event from the done button
//

function showFront(event)
{
    var front = document.getElementById("front");
    var back = document.getElementById("back");

    if (window.widget) {
        widget.prepareForTransition("ToFront");
    }

    front.style.display="block";
    back.style.display="none";

    if (window.widget) {
        setTimeout('widget.performTransition();', 0);
    }
    
    calculate();
}

if (window.widget) {
    widget.onremove = remove;
    widget.onhide = hide;
    widget.onshow = show;
    widget.onsync = sync;
}

function calculate()
{
    weight = document.getElementById("weight_input").value;
	height = document.getElementById("height_input").value;
    rhr = document.getElementById("RHR_input").value;
    rhr = parseInt(rhr)
    age = document.getElementById("age_input").value;
    activity = document.getElementById("activity_input").value;
    sex = document.getElementById("sex_input").value;
    
    //calorie calculation
    if (sex == "Male") {
		if (activity == "Sedentary") {
			calcount = Math.round(1.2*(66+(6.23*weight)+(12.7*height) - (6.8*age)));
		}
		else if (activity == "Light") {
			calcount = Math.round(1.375*(66+(6.23*weight)+(12.7*height) - (6.8*age)));
		}
		else if (activity == "Moderate") {
			calcount = Math.round(1.55*(66+(6.23*weight)+(12.7*height) - (6.8*age)));
		}
		else if (activity == "Active") {
			calcount = Math.round(1.725*(66+(6.23*weight)+(12.7*height) - (6.8*age)));
		}
		else if (activity == "Vigorous") {
			calcount = Math.round(1.9*(66+(6.23*weight)+(12.7*height) - (6.8*age)));
		}
	}
	else if (sex == "Female") {
		if (activity == "Sedentary") {
			calcount = Math.round(1.2*(655+(4.35*weight)+(4.7*height) - (4.7*age)));
		}
		else if (activity == "Light") {
            calcount = Math.round(1.375*(655+(4.35*weight)+(4.7*height) - (4.7*age)));
		}
		else if (activity == "Moderate") {
			calcount = Math.round(1.55*(655+(4.35*weight)+(4.7*height) - (4.7*age)));
		}
		else if (activity == "Active") {
			calcount = Math.round(1.725*(655+(4.35*weight)+(4.7*height) - (4.7*age)));
		}
		else if (activity == "Vigorous") {
			calcount = Math.round(1.9*(655+(4.35*weight)+(4.7*height) - (4.7*age)));
		}
	}
    document.getElementById("calval").innerHTML = calcount;
    
    //BMI calculation
    document.getElementById("bmival").innerHTML = Math.round(100*703*(weight/(height*height)))/100;
    
    //calorie calculation
    if (sex == "Male") {
		document.getElementById("bmrval").innerHTML = Math.round((66+(6.23*weight)+(12.7*height) - (6.8*age)))
	}
	else if (sex == "Female") {
		document.getElementById("bmrval").innerHTML = Math.round((655+(4.35*weight)+(4.7*height) - (4.7*age)))
	}
    
    //HR calculation
    lowhr = Math.round(rhr + (0.65*((206.9-(0.67*age))-rhr)));
    document.getElementById("lhrval").innerHTML = lowhr;
    
    highhr = Math.round(rhr + (0.85*((206.9-(0.67*age))-rhr)));
    document.getElementById("hhrval").innerHTML = highhr;
    
    if (isNaN(document.getElementById("bmrval").innerHTML)) {
        document.getElementById("bmrval").innerHTML = "-n/a-";
    }
    if (isNaN(document.getElementById("calval").innerHTML)) {
        document.getElementById("calval").innerHTML = "-n/a-";
    }
    if (isNaN(document.getElementById("bmival").innerHTML)) {
        document.getElementById("bmival").innerHTML = "-n/a-";
    }
    if (isNaN(document.getElementById("lhrval").innerHTML)) {
        document.getElementById("lhrval").innerHTML = "-n/a-";
    }
    if (isNaN(document.getElementById("hhrval").innerHTML)) {
        document.getElementById("hhrval").innerHTML = "-n/a-";
    }
}

//mouse over functions
function done_over(event)
{
    document.getElementById("done_blue").style.visibility = "visible";
}
function done_out(event)
{
    document.getElementById("done_blue").style.visibility = "hidden";
}
function donate_over(event)
{
    document.getElementById("donate_blue").style.visibility = "visible";
}
function donate_out(event)
{
    document.getElementById("donate_blue").style.visibility = "hidden";
}
function help_over(event)
{
    document.getElementById("help_blue").style.visibility = "visible";
}
function help_out(event)
{
    document.getElementById("help_blue").style.visibility = "hidden";
}


function bmr_over(event)
{   
    if (document.getElementById("info_input").value == "On") {
        document.getElementById("over_back").style.visibility = "visible";
        document.getElementById("bmr_title").style.visibility = "visible";
        document.getElementById("bmr_text").style.visibility = "visible";
    }
}


function bmr_out(event)
{
    if (document.getElementById("info_input").value == "On") {
        document.getElementById("over_back").style.visibility = "hidden";
        document.getElementById("bmr_title").style.visibility = "hidden";
        document.getElementById("bmr_text").style.visibility = "hidden";
    }
}

function cal_over(event)
{
    if (document.getElementById("info_input").value == "On") {
    document.getElementById("over_back").style.visibility = "visible";    
    document.getElementById("cal_title").style.visibility = "visible";
    document.getElementById("cal_text").style.visibility = "visible";
}
}

function cal_out(event)
{
    if (document.getElementById("info_input").value == "On") {
    document.getElementById("over_back").style.visibility = "hidden";
    document.getElementById("cal_title").style.visibility = "hidden";
    document.getElementById("cal_text").style.visibility = "hidden";
}
}
function bmi_over(event)
{
    if (document.getElementById("info_input").value == "On") {
    document.getElementById("over_back").style.visibility = "visible";    
    document.getElementById("bmi_title").style.visibility = "visible";
    document.getElementById("bmi_text").style.visibility = "visible";
}
}
function bmi_out(event)
{
    if (document.getElementById("info_input").value == "On") {
    document.getElementById("over_back").style.visibility = "hidden";
    document.getElementById("bmi_title").style.visibility = "hidden";
    document.getElementById("bmi_text").style.visibility = "hidden";
}
}

function lhr_over(event)
{
    if (document.getElementById("info_input").value == "On") {
    document.getElementById("over_back").style.visibility = "visible";
    document.getElementById("lhr_title").style.visibility = "visible";
    document.getElementById("lhr_text").style.visibility = "visible";
}
}
function lhr_out(event)
{
    if (document.getElementById("info_input").value == "On") {
    document.getElementById("over_back").style.visibility = "hidden";
    document.getElementById("lhr_title").style.visibility = "hidden";
    document.getElementById("lhr_text").style.visibility = "hidden";
}
}

function hhr_over(event)
{
    if (document.getElementById("info_input").value == "On") {
    document.getElementById("over_back").style.visibility = "visible";
    document.getElementById("hhr_title").style.visibility = "visible";
    document.getElementById("hhr_text").style.visibility = "visible";
}
}
function hhr_out(event)
{
    if (document.getElementById("info_input").value == "On") {
    document.getElementById("over_back").style.visibility = "hidden";
    document.getElementById("hhr_title").style.visibility = "hidden";
    document.getElementById("hhr_text").style.visibility = "hidden";
}
}


function donateClick(event)
{
    widget.openURL("https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=10563902/");
}
